Bus Pirate v3 bootloader upgrades

From DP

Jump to: navigation , search

Firmware version 4 and higher requires bootloader version 4 or higher. The new v4 bootloader makes space for more features.

Find your bootloader version:

  • Verify version with command i in the terminal (type i then press enter)
  • Hardware v3b and v3.5 shipped with a v4+ bootloader, don't do anything!
  • Hardware v3a and v2go shipped with the v2 bootloader, please see upgrade instructions below

Still not sure?

  • Firmware v4.0 or higher means you have a v4+ bootloader, don't do anything!
  • Firmware v3.10 or less means you have a v2 bootloader, please see upgrade instructions below

How to upgrade the bootloader over USB:

Bootloader v4.3 is the version of the v4.3/v4.4 bootloader installed with an upgrader. v4.4 is programmed with a PIC programmer. They are the same.